View Issue Details

IDProjectCategoryView StatusLast Update
0000249Siril[All Projects] Sirilpublic2018-05-25 09:15
ReportervinvinAssigned Tovinvin 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version0.9.8.3 
Target Version0.9.9Fixed in Version0.9.9 
Summary0000249: Allow a script to be executed on program start-up and headless mode
DescriptionAdd a command line argument to siril, maybe -s "file.ssf".
If possible, do not display the GUI... I don't think it's possible.
TagsNo tags attached.

Activities

lock42

2018-05-04 20:43

administrator   ~0000536

If the GUI popup during the processing, it's maybe not a big deal.
Also for Windows users the GUI is not a problem.

So it is good if we can implement this -s option independently of the GUI separation as a first step.

lock42

2018-05-07 17:29

administrator   ~0000541

Need to silent all Gtk-CRITICAL in different commands.
For example in load and close commands which call some very used functions

lock42

2018-05-09 13:49

administrator   ~0000544

Last edited: 2018-05-09 13:53

View 2 revisions

One huge problem is the function get_registration_layer() that is called 10 times. But in 6 functions it can cause trouble in script :
- stack_filter_fwhm
- stack_filter_roundness
- get_registration_layer
- compute_highest_accepted_fwhm
- compute_highest_accepted_quality
- compute_lowest_accepted_roundness

Indeed get_registration_layer() returns the value of a GtkComboBox

Even if for now it is only possible to stack all the images of the sequence with the console (that's why it works I guess) !!

vinvin

2018-05-21 23:54

administrator   ~0000547

Well spotted. I'm fixing it by looking at regdata and taking the first available one now instead of this in script mode.

Related Changesets

Siril: 0.9 r2279

2018-05-07 02:00:07

vinvin

Details
Allowing scripts to be started from the shell command line without starting GTK, issue 0000249.
The star peaker used settings from the GUI, they have been moved in com.starfinder_conf.
Added a fancy little progress output for console.
Affected Issues
0000249
mod - /branches/0.9/src/algos/star_finder.c
mod - /branches/0.9/src/algos/star_finder.h
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/gui/progress_and_log.c
mod - /branches/0.9/src/gui/siril3.glade
mod - /branches/0.9/src/main.c
mod - /branches/0.9/src/registration/registration.c

Siril: 0.9 r2280

2018-05-07 02:36:57

vinvin

Details
forgot a comment, issue 0000249 Affected Issues
0000249
mod - /branches/0.9/src/main.c

Siril: 0.9 r2281

2018-05-07 02:39:16

vinvin

Details
fixing the stupid fix, issue 0000249 Affected Issues
0000249
mod - /branches/0.9/src/main.c

Siril: 0.9 r2284

2018-05-07 03:00:08

vinvin

Details
Silenting all GTK errors in headless mode. Issue 0000249.
Affected Issues
0000249
mod - /branches/0.9/src/core/initfile.c
mod - /branches/0.9/src/core/utils.c
mod - /branches/0.9/src/io/conversion.c
mod - /branches/0.9/src/main.c

Siril: 0.9 r2285

2018-05-07 09:03:25

lock42

Details
Silenting GTK warning in headless mode. Issue 0000249. Affected Issues
0000249
mod - /branches/0.9/src/core/command.c

Siril: 0.9 r2286

2018-05-07 10:15:48

lock42

Details
Issue 0000249 for OS X Affected Issues
0000249
mod - /branches/0.9/src/main.c

Siril: 0.9 r2288

2018-05-07 10:55:45

lock42

Details
Issue 0000249:
- reducing size of progress log
- allow to combine -d and -s options
- force cwd to current dir if no -d option with -s
Affected Issues
0000249
mod - /branches/0.9/src/gui/progress_and_log.c
mod - /branches/0.9/src/main.c

Siril: 0.9 r2289

2018-05-07 14:42:34

lock42

Details
Fixes issue introduced in previous commits (Issue 0000249) Affected Issues
0000249
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/command_def.h
mod - /branches/0.9/src/core/initfile.c
mod - /branches/0.9/src/core/processing.c
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/core/utils.c
mod - /branches/0.9/src/gui/progress_and_log.c
mod - /branches/0.9/src/io/conversion.c
mod - /branches/0.9/src/io/single_image.c
mod - /branches/0.9/src/main.c
mod - /branches/0.9/src/registration/registration.c

Siril: 0.9 r2294

2018-05-08 02:12:49

vinvin

Details
Issue 0000249. Reviewing thread management, for abortion in particular.
Expanding ~ in script file name.
Switching console progress to percents.
Affected Issues
0000249
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/processing.c
mod - /branches/0.9/src/core/utils.c
mod - /branches/0.9/src/gui/progress_and_log.c

Siril: 0.9 r2347

2018-05-22 00:24:23

vinvin

Details
fixing get_registration_layer() for scripts, using layer in which data is available instead of selected combobox index - issue 0000249 Affected Issues
0000249
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/io/sequence.c
mod - /branches/0.9/src/io/sequence_export.c
mod - /branches/0.9/src/registration/registration.c
mod - /branches/0.9/src/registration/registration.h
mod - /branches/0.9/src/stacking/stacking.c
mod - /branches/0.9/src/stacking/stacking.h

Siril: 0.9 r2348

2018-05-22 01:56:14

vinvin

Details
a few fixes in GUI access from scripts - issue 0000249 Affected Issues
0000249
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/processing.c
mod - /branches/0.9/src/gui/progress_and_log.c
mod - /branches/0.9/src/io/single_image.c
mod - /branches/0.9/src/stacking/stacking.c

Siril: 0.9 r2350

2018-05-22 02:34:45

vinvin

Details
close command and what it calls should be alright in scripts - issue 0000249 Affected Issues
0000249
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/io/sequence.c

Siril: 0.9 r2356

2018-05-22 21:53:45

vinvin

Details
disabling graphical warning popups in headless mode - issue 0000249 Affected Issues
0000249
mod - /branches/0.9/src/gui/callbacks.c

Siril: 0.9 r2368

2018-05-23 15:04:06

lock42

Details
Silenting Gtk-Critical of all commands Affected Issues
0000249
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/siril.c
mod - /branches/0.9/src/gui/callbacks.c
mod - /branches/0.9/src/gui/registration_preview.c
mod - /branches/0.9/src/io/single_image.c
mod - /branches/0.9/src/opencv/opencv.cpp

Issue History

Date Modified Username Field Change
2018-04-24 15:53 vinvin New Issue
2018-05-04 20:43 lock42 Note Added: 0000536
2018-05-05 01:08 vinvin Status new => confirmed
2018-05-06 20:45 vinvin Assigned To => vinvin
2018-05-06 20:45 vinvin Status confirmed => assigned
2018-05-07 02:00 vinvin Changeset attached => Siril 0.9 r2279
2018-05-07 02:36 vinvin Changeset attached => Siril 0.9 r2280
2018-05-07 02:39 vinvin Changeset attached => Siril 0.9 r2281
2018-05-07 03:00 vinvin Changeset attached => Siril 0.9 r2284
2018-05-07 09:03 lock42 Changeset attached => Siril 0.9 r2285
2018-05-07 10:15 lock42 Changeset attached => Siril 0.9 r2286
2018-05-07 10:55 lock42 Changeset attached => Siril 0.9 r2288
2018-05-07 14:42 lock42 Changeset attached => Siril 0.9 r2289
2018-05-07 17:29 lock42 Note Added: 0000541
2018-05-08 02:12 vinvin Changeset attached => Siril 0.9 r2294
2018-05-09 00:18 vinvin Fixed in Version => 0.9.9
2018-05-09 13:49 lock42 Note Added: 0000544
2018-05-09 13:53 lock42 Note Edited: 0000544 View Revisions
2018-05-21 23:54 vinvin Note Added: 0000547
2018-05-22 00:24 vinvin Changeset attached => Siril 0.9 r2347
2018-05-22 01:56 vinvin Changeset attached => Siril 0.9 r2348
2018-05-22 02:31 vinvin Summary Allow a script to be executed on program start-up => Allow a script to be executed on program start-up and headless mode
2018-05-22 02:34 vinvin Changeset attached => Siril 0.9 r2350
2018-05-22 21:53 vinvin Changeset attached => Siril 0.9 r2356
2018-05-23 15:10 lock42 Changeset attached => Siril 0.9 r2368
2018-05-25 09:15 lock42 Status assigned => resolved
2018-05-25 09:15 lock42 Resolution open => fixed
2018-05-25 09:15 lock42 Product Version => 0.9.8.3